AlessandroFerri
Posts: 61
Joined: Tue Apr 02, 2013 5:44 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Thu Feb 26, 2015 4:01 pm

Hi all,
before I often used my PI to create an access point with a Edimax EW-7811Un, compiling hostapd from its driver (RTL8188C_8192C_USB_linux_v4.0.2_9000.20130911). Worked great, both connecting the Pi to my home network and creating an Access Point.
Now with the kernel:
Linux raspberrypi 3.18.7+ # 758 PREEMPT Mon February 23 19:27:03 GMT 2015 armv6l GNU / Linux
while I can connect the Pi to my home network with Edimax EW-7811Un , now if I use default hostapd, this does not run, the edimax is turned off and died.
Have I to compile again in the old hostapd that I find on the old driver (RTL8188C_8192C_USB_linux_v4.0.2_9000.20130911), or has changed?

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Thu Feb 26, 2015 4:11 pm

Hi AlessandroFerri,

It is not good to make duplicate posts. It can get confusing. See the answer in your other post. http://www.raspberrypi.org/forums/viewt ... 70#p705870


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.


br_Orion
Posts: 1
Joined: Mon Apr 28, 2014 2:06 am

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Thu Feb 26, 2015 11:40 pm

At the time at this post on kernel 3.18.7+ on Raspberry B the stagging module from kernel tree plus the options for power management are working fine for RTL8188EUS which is 0BDA:8179.
Just a heads up.

luisfpinto
Posts: 11
Joined: Fri Feb 27, 2015 12:43 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Fri Feb 27, 2015 12:47 pm

MrEngman could you please tell me where do you find out that drivers?

Thank you so much!

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Fri Feb 27, 2015 4:21 pm

luisfpinto wrote:MrEngman could you please tell me where do you find out that drivers?

Thank you so much!
The original driver code is in Realtek's web site here. Look for the RTL8188CUS driver. It includes the driver source code and other information.

The source code is included in the Rasperry Pi kernel and can be found here.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

epimenidecretese
Posts: 3
Joined: Sun Nov 30, 2014 3:22 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 10:16 am

With the new image (updated to the latest kernel, with drivers compiled with MrEngman's instructions) I can't use my raspberry pi B+ as wifi ap with hostapd anymore.

Does somebody found a workaround?

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 2:19 pm

epimenidecretese wrote:With the new image (updated to the latest kernel, with drivers compiled with MrEngman's instructions) I can't use my raspberry pi B+ as wifi ap with hostapd anymore.

Does somebody found a workaround?
I have got my Pi B+ working as an access point.

I think you may need to update the hostapd file. I have compiled hostapd and you can download it from here.

I used the instruction from here but used the hostapd file I compiled, and it works with an 8188eu wifi module or a 8188cus/8192cu module. I have tried it with the D-Link DWA-131 vB1 and TP-Link WN725N v2 and did not have to make any changes to make it work when I changed the wifi adapter.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

Massi
Posts: 1691
Joined: Fri May 02, 2014 1:52 pm
Location: Italy

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 2:40 pm

i just found out that this driver (or this chip?) can't work in monitor mode.
very bad.

felixinx
Posts: 19
Joined: Sun Sep 07, 2014 7:38 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 7:35 pm

Hi,
I'm using your driver and its seem to not work.

I have the auto install script with the Raspbian version 3.18.7+ #755.

I think that is dosen't work because I have the TP-WN725N V2.1.

Can you help me!

Thanks

Massi
Posts: 1691
Joined: Fri May 02, 2014 1:52 pm
Location: Italy

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 9:31 pm

felixinx wrote:I think that is dosen't work because I have the TP-WN725N V2.1.
no, my v. 2.1 is working.
Please check if you have installed thecorrect driver (have you installed driver for pi2 on pi1?)

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 9:46 pm

felixinx wrote:Hi,
I'm using your driver and its seem to not work.

I have the auto install script with the Raspbian version 3.18.7+ #755.

I think that is dosen't work because I have the TP-WN725N V2.1.

Can you help me!

Thanks
If you have used LaFambe's script to install the driver it may not install it correctly. It needs to be updated to install the extra file 8188eu.conf included with the new drivers. Can you try re-installing it using the instructions in the first post.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 10:13 pm

Hello felixinx,

I have updated LaFambe's script so it should now install the 3.18 drivers correctly. You can download and extract the script using the commands

Code: Select all

wget https://dl.dropboxusercontent.com/u/80256631/install-8188eu.tgz
tar xzf install-8188eu.tgz
To run the script use the command

Code: Select all

./install-8188eu.sh

MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

Bananaguns
Posts: 83
Joined: Sun Mar 01, 2015 9:59 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Sun Mar 01, 2015 10:19 pm

after hours of tinkering and a ton of forum hours ive got my dongle to show up in lsusb (YAY), but still nothing in the wpa_gui while running the auto install script as an executable. could someone break it down to simple terms for me? like what exactly to type etc.? I did install the driver usinhg the code above but im hot sure i did it right since nothing happened besides it now showing in lsusb.

thanks for the help! i really wanna get this set up so me and my neice can do some projects in the future

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 1:45 am

Bananaguns wrote:after hours of tinkering and a ton of forum hours ive got my dongle to show up in lsusb (YAY), but still nothing in the wpa_gui while running the auto install script as an executable. could someone break it down to simple terms for me? like what exactly to type etc.? I did install the driver usinhg the code above but im hot sure i did it right since nothing happened besides it now showing in lsusb.

thanks for the help! i really wanna get this set up so me and my neice can do some projects in the future
If you look at the first post it tells you all you should need to install the wifi driver. After the driver is installed you will then need to configure the wifi to connect to your network. This can be done manually by editing the file(s) /etc/network/interfaces and additionally /etc/wpa_supplicant/wpa_supplicant.conf depending on how you set up the file /etc/network/interfaces. There is information on editing these files here also mentioned in the first post. Alternatively you can use Wifi Config in the Graphical User Interface if you have not changed these files from their default values.

What is the "auto install script" you mentioned? Is it LaFambe's script? If it is I have just updated it as there was a problem with it installing 3.18.xx drivers so you may need to download the new version and run it again.

Regarding the lsusb command. This command shows the USB devices connected to your Pi. All you should need to do to display the device with the lsusb command is to plug your wifi module into the USB bus and you should not need to install any drivers for it to show up in the lsusb command.

What type of Pi are you using? Can you post the output of the following commands

Code: Select all

lsusb
uname -a
lsmod
ifconfig -a
These will show which type of wifi module you are using and the kernel version so we can determine which driver version you need and whether the driver is installed ok or not.

Can you also post the contents of files /etc/network/interfaces and /etc/wpa_supplicant/wpa_supplicant.conf to check the current set up. Make sure you hide the wifi ssid and passwords in these files.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

felixinx
Posts: 19
Joined: Sun Sep 07, 2014 7:38 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 2:52 am

So, its dosent work...

I have Rasbian 3.18.7+ #755 and a TP-LINK TL-WN725N V2.1.

I installed the driver with the auto install script.

There is my /etc/network/interfaces file;

Code: Select all

auto lo

iface lo inet loopback
iface eth0 inet dhcp

allow-hotplug wlan0
iface wlan0 inet dhcp
wpa-ssid "ASUPERSSID"
wpa-psk "ASUPERPASSWORD"
And my /etc/wpa_supplicant/wpa_supplicant.conf file;

Code: Select all

ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
update_config=1
network={
ssid="ASUPERSSID"
psk="ASUPERPASSWORD"

# Protocol type can be: RSN (for WP2) and WPA (for WPA1)
proto=RSN

# Key management type can be: WPA-PSK or WPA-EAP (Pre-Shared or Enterprise)
key_mgmt=WPA-PSK

# Pairwise can be CCMP or TKIP (for WPA2 or WPA1)
pairwise=TKIP

#Authorization option should be OPEN for both WPA1/WPA2 (in less commonly used are SHARED and LEAP)
auth_alg=OPEN
}
And it dosen't work! :cry:

For info, I have a Raspberry Pi B+

Thanks again

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 9:49 am

felixinx wrote:So, its dosent work...

I have Rasbian 3.18.7+ #755 and a TP-LINK TL-WN725N V2.1.

I installed the driver with the auto install script.

There is my /etc/network/interfaces file;

Code: Select all

auto lo

iface lo inet loopback
iface eth0 inet dhcp

allow-hotplug wlan0
iface wlan0 inet dhcp
wpa-ssid "ASUPERSSID"
wpa-psk "ASUPERPASSWORD"
I have tried the updated script on my PI B+ and it works OK.

My set up uses the same format for /etc/network/interfaces that you use and with this format wpa_supplicant.conf is not used.

Does the output of command ifconfig show wlan0? Can you post the output of commands lsusb to show the details of your wifi adaptor, and lsmod to check if the driver is loaded?

You could try the following two commands to see if the wifi starts.

Code: Select all

sudo ifdown wlan0
sudo ifup wlan0
MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

uzunahmet
Posts: 5
Joined: Mon Mar 02, 2015 10:36 am

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 10:46 am

Hi,

I've recently bought a Raspberry Pi 2 and a TP-LINK TL-WN725N v2 adapter.

After googling, I found some old and new posts about making the adapter run on Raspbian and spent hours, trying to compile a kernel module until I found the following comments on this post:
If you update to 3.18.xx+ there is a version of the driver included in the image so you don't need to download a new driver, however, it needs a separate firmware file downloading and installing.

You can download and install the driver firmware file with the single command

Code: Select all

sudo wget https://github.com/lwfinger/rtl8188eu/raw/c83976d1dfb4793893158461430261562b3a5bf0/rtl8188eufw.bin -O /lib/firmware/rtlwifi/rtl8188eufw.bin
The Raspbian running on Pi 2 has kernel 3.18xx+ and the adapter worked after running that one line command.

Can you please add this information to the first page of this post for people who own a Raspberry Pi 2?

And thank you very much for your efforts and keeping this post upto date...

felixinx
Posts: 19
Joined: Sun Sep 07, 2014 7:38 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 1:53 pm

Here's the result;


ifconfig

Code: Select all

eth0      Link encap:Ethernet  HWaddr b8:27:eb:ad:41:4b
          inet adr:192.168.1.138  Bcast:192.168.1.255  Masque:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:8500 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1800 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000
          RX bytes:496563 (484.9 KiB)  TX bytes:163862 (160.0 KiB)

lo        Link encap:Boucle locale
          inet adr:127.0.0.1  Masque:255.0.0.0
          UP LOOPBACK RUNNING  MTU:65536  Metric:1
          RX packets:29 errors:0 dropped:0 overruns:0 frame:0
          TX packets:29 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:0
          RX bytes:1972 (1.9 KiB)  TX bytes:1972 (1.9 KiB)

wlan0     Link encap:Ethernet  HWaddr 14:cc:20:20:48:7d
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

lsusb

Code: Select all

Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp.
Bus 001 Device 004: ID 045e:0745 Microsoft Corp. Nano Transceiver v1.0 for Bluetooth
Bus 001 Device 005: ID 0bda:8179 Realtek Semiconductor Corp.
lsmod

Code: Select all

Module                  Size  Used by
snd_bcm2835            21342  0
snd_pcm                93100  1 snd_bcm2835
snd_seq                61097  0
snd_seq_device          7209  1 snd_seq
snd_timer              23007  2 snd_pcm,snd_seq
snd                    67211  5 snd_bcm2835,snd_timer,snd_pcm,snd_seq,snd_seq_device
joydev                  9766  0
evdev                  11000  3
8188eu                709203  0
uio_pdrv_genirq         3666  0
uio                     9897  1 uio_pdrv_genirq
sudo ifdown wlan0

Code: Select all

Internet Systems Consortium DHCP Client 4.2.2
Copyright 2004-2011 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/wlan0/14:cc:20:20:48:7d
Sending on   LPF/wlan0/14:cc:20:20:48:7d
Sending on   Socket/fallback
sudo ifup wlan0

Code: Select all


ioctl[SIOCSIWAP]: Operation not permitted
ioctl[SIOCSIWENCODEEXT]: Invalid argument
ioctl[SIOCSIWENCODEEXT]: Invalid argument
Internet Systems Consortium DHCP Client 4.2.2
Copyright 2004-2011 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/wlan0/14:cc:20:20:48:7d
Sending on   LPF/wlan0/14:cc:20:20:48:7d
Sending on   Socket/fallback
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 3
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 10
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 15
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 7
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 19
No DHCPOFFERS received.
No working leases in persistent database - sleeping.
Thanks

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 4:09 pm

Hi felixinx,

Well, the driver appears to be installed correctly. I have occasionally had the odd problem when installing drivers even when they are OK and the configuration is correct and it can get really annoying.

To make sure the wifi is OK you could try the command

Code: Select all

sudo iwlist wlan0 scan
This should display a list of wifi networks your wifi can detect. You can use this command to check your Pi can see your network.

Are you sure the network-name and network-password in your /etc/network/interfaces file are correct. Note that both the network name and password are case sensitive. I have seen issues with users not typing the name or password correctly and especially using the name with characters using the wrong case.

Another point. Does your network use a hidden ssid? If it does this will cause problem connecting and you will need to allow the network to transmit it's ssid.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

felixinx
Posts: 19
Joined: Sun Sep 07, 2014 7:38 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 5:31 pm

Ok,

I can see my Wi-Fi!!! :D (im so happy!) , but i can't connect... :o

in the WPA_GUI, i have an error : Can not get status from wpa_supplicant (something like this) and when I scan, nothing.

Please note that my wifi is password protected WPA2 Personal and Linskys Smart-Wifi.

Thanks

Cereal
Posts: 2
Joined: Mon Mar 02, 2015 5:15 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 5:32 pm

Hi to all,

Thank you for these info... i've got the driver working with Raspbian through this thread.

Now, i'm having a hard time trying to install on a different version:
3.18.6-v7i-aufs
This is using Raspbian through Berryboot.

I've already found out on other thread that because of berryboot, the driver is different, but the version available is a bit older than my current version.
Openlec through berryboot has already the driver built-in and the wifi adapter works "out of the box".

Is there a way i can get that driver of it or a new approach to install the driver on this version (3.18.6-v7i-aufs).

Thank You.

MrEngman
Posts: 3849
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Mon Mar 02, 2015 7:45 pm

felixinx wrote:Ok,

I can see my Wi-Fi!!! :D (im so happy!) , but i can't connect... :o

in the WPA_GUI, i have an error : Can not get status from wpa_supplicant (something like this) and when I scan, nothing.

Please note that my wifi is password protected WPA2 Personal and Linskys Smart-Wifi.

Thanks
The way you have configured your wifi it is controlled by the file /etc/network/interfaces and WPA_GUI will not be used and is why you see an error from it. You will not be able to scan using the Wifi Config GUI.

Did you try running command

Code: Select all

sudo iwlist wlan0 scan
You should run this command in a terminal window. If you did use this command what result did you see?

I don't know about Linksys Smart-Wifi but it appears to be an app running on your wifi router/access point. Are you trying to connect to your Linksys Smart-Wifi account or your wifi access point? You need to configure your Pi to connect to your wifi access point.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

uzunahmet
Posts: 5
Joined: Mon Mar 02, 2015 10:36 am

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Tue Mar 03, 2015 2:23 pm

Cereal wrote:Hi to all,

Thank you for these info... i've got the driver working with Raspbian through this thread.

Now, i'm having a hard time trying to install on a different version:
3.18.6-v7i-aufs
This is using Raspbian through Berryboot.

I've already found out on other thread that because of berryboot, the driver is different, but the version available is a bit older than my current version.
Openlec through berryboot has already the driver built-in and the wifi adapter works "out of the box".

Is there a way i can get that driver of it or a new approach to install the driver on this version (3.18.6-v7i-aufs).

Thank You.
You have an exact copy of my setup (Pi 2 + BerryBoot + Raspbian [3.18.6-v7i-aufs] + OpenElec) and you are facing exactly the same problems I spent hours to solve.

Hopefully the solution is simple.

Run the following command on Raspbian terminal window (with wired Internet connection) and then restart your Pi.

Code: Select all

sudo wget https://github.com/lwfinger/rtl8188eu/raw/c83976d1dfb4793893158461430261562b3a5bf0/rtl8188eufw.bin -O /lib/firmware/rtlwifi/rtl8188eufw.bin

Urme
Posts: 1
Joined: Wed Mar 04, 2015 12:16 pm

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 3.18.xx+

Wed Mar 04, 2015 12:23 pm

EDIT: I'm a noob and downloaded the wrong driver forget the -v7 in the filename!
Last edited by Urme on Wed Mar 04, 2015 12:35 pm, edited 1 time in total.

Return to “Troubleshooting”